Daftar Kode Kluster Service Fabric
Mendapatkan daftar versi kode kluster Service Fabric yang tersedia untuk lokasi yang ditentukan.
Mendapatkan semua versi kode yang tersedia untuk Service Fabric sumber daya kluster berdasarkan lokasi.
Minta
| Metode | URI Permintaan |
|---|---|
| GET | /subscriptions/{subscriptionId}/providers/Microsoft.ServiceFabric/locations/{location}/clusterVersions?api-version=2018-02-01 |
Parameter
| Nama | Jenis | Diperlukan | Lokasi |
|---|---|---|---|
| lokasi | string | Ya | Jalur |
| subscriptionId | string | Ya | Jalur |
| versi-api | string | Ya | Kueri |
lokasi
Jenis: string
Diperlukan: Ya
Lokasi untuk versi kode kluster. Ini berbeda dengan lokasi kluster.
subscriptionId
Jenis: string
Diperlukan: Ya
Pengidentifikasi langganan pelanggan.
versi-api
Jenis: string
Diperlukan: Ya
Default: 2018-02-01
Versi API penyedia sumber daya Service Fabric. Ini adalah parameter yang diperlukan dan nilainya harus "2018-02-01" untuk spesifikasi ini.
Respons
| Kode Status HTTP | Deskripsi | Skema Respons |
|---|---|---|
| 200 (OK) | Operasi berhasil diselesaikan. |
ClusterCodeVersionsListResult |
Contoh
Mencantumkan versi kluster
Minta
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/clusterVersions?api-version=2018-02-01
Respons 200
Isi
{
"value": [
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/environments/Windows/clusterVersions/6.1.480.9494",
"name": "6.1.480.9494",
"type": "Microsoft.ServiceFabric/locations/environments/clusterVersions",
"properties": {
"codeVersion": "6.1.480.9494",
"supportExpiryUtc": "2018-06-15T23:59:59.9999999",
"environment": "Windows"
}
},
{
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/environments/Linux/clusterVersions/6.1.187.1",
"name": "6.1.187.1",
"type": "Microsoft.ServiceFabric/locations/environments/clusterVersions",
"properties": {
"codeVersion": "6.1.187.1",
"supportExpiryUtc": "2018-06-15T23:59:59.9999999",
"environment": "Linux"
}
}
]
}